Commit 33ea8511 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Updated environment_specclassify.yml. Use SPDX license identifier and set all...


Updated environment_specclassify.yml. Use SPDX license identifier and set all files to GLP3+ to be consistent with license headers in the source files. Excluded tests from being installed via 'pip install'. Set development status to 'Alpha'. Updated version info.

Signed-off-by: Daniel Scheffler's avatarDaniel Scheffler <danschef@gfz-potsdam.de>
parent 2d52a2b2
Pipeline #14455 passed with stages
in 2 minutes and 56 seconds
...@@ -4,7 +4,7 @@ specclassify ...@@ -4,7 +4,7 @@ specclassify
A Python package for multi- or hyperspectral image classification. A Python package for multi- or hyperspectral image classification.
* Free software: GNU General Public License v3 * Free software: GNU General Public License v3 or later (GPLv3+)
* **Documentation:** https://geomultisens.gitext-pages.gfz-potsdam.de/specclassify/doc/ * **Documentation:** https://geomultisens.gitext-pages.gfz-potsdam.de/specclassify/doc/
* Submit feedback by filing an issue `here <https://gitext.gfz-potsdam.de/geomultisens/specclassify/issues>`__. * Submit feedback by filing an issue `here <https://gitext.gfz-potsdam.de/geomultisens/specclassify/issues>`__.
......
...@@ -46,9 +46,9 @@ setup( ...@@ -46,9 +46,9 @@ setup(
author="Daniel Scheffler", author="Daniel Scheffler",
author_email='daniel.scheffler@gfz-potsdam.de', author_email='daniel.scheffler@gfz-potsdam.de',
classifiers=[ classifiers=[
'Development Status :: 2 - Pre-Alpha', 'Development Status :: 3 - Alpha',
'Intended Audience :: Developers', 'Intended Audience :: Developers',
'License :: OSI Approved :: GNU General Public License v3 (GPLv3)', 'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
'Natural Language :: English', 'Natural Language :: English',
"Programming Language :: Python :: 2", "Programming Language :: Python :: 2",
'Programming Language :: Python :: 2.7', 'Programming Language :: Python :: 2.7',
...@@ -61,7 +61,7 @@ setup( ...@@ -61,7 +61,7 @@ setup(
], ],
description="A Python package for multi- or hyperspectral image classification.", description="A Python package for multi- or hyperspectral image classification.",
install_requires=requirements, install_requires=requirements,
license="GNU General Public License v3", license="GPL-3.0-or-later",
long_description=readme + '\n\n' + history, long_description=readme + '\n\n' + history,
include_package_data=True, include_package_data=True,
keywords=['specclassify', 'remote sensing', 'multispectral', 'hyperspectral', 'image classification'], keywords=['specclassify', 'remote sensing', 'multispectral', 'hyperspectral', 'image classification'],
......
...@@ -22,5 +22,5 @@ ...@@ -22,5 +22,5 @@
# with this program. If not, see <http://www.gnu.org/licenses/>. # with this program. If not, see <http://www.gnu.org/licenses/>.
__version__ = '0.2.5' __version__ = '0.2.6'
__versionalias__ = '20200924.01' __versionalias__ = '20201012.01'
...@@ -6,26 +6,14 @@ channels: &id1 ...@@ -6,26 +6,14 @@ channels: &id1
dependencies: dependencies:
- python=3.*.* - python=3.*.*
- pip - pip
- numpy - geoarray>=0.9.0
- matplotlib - matplotlib
- py_tools_ds>=0.14.12
- numpy
- scikit-learn - scikit-learn
# geoarray / py_tools_ds
- basemap
- bokeh
- gdal
- geopandas
- holoviews
- ipython
- pyproj
- pyqt
- scikit-image
- shapely
- pip: - pip:
- tqdm - tqdm
- geoarray>=0.8.17
- py_tools_ds>=0.14.12
# test and doc dependencies # test and doc dependencies
- coverage - coverage
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment